import { ModuleWithProviders, Provider } from '@angular/core';
import { RouterMetaConfig } from './router-meta';
import { RouterMetaService } from './router-meta.service';
import * as i0 from "@angular/core";
export declare type ConfigProvider = Provider;
export interface RouterMetaModuleConfig {
    config?: RouterMetaConfig;
    configProvider?: ConfigProvider;
}
export declare class RouterMetaModule {
    constructor(parentModule: RouterMetaModule, routerMetaService: RouterMetaService);
    static forRoot(config?: RouterMetaModuleConfig): ModuleWithProviders<RouterMetaModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RouterMetaModule, [{ optional: true; skipSelf: true; }, null]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<RouterMetaModule, never, never, never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<RouterMetaModule>;
}
//# sourceMappingURL=router-meta.module.d.ts.map